Get Tier User Assignment by ID
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Users
Get Tier User Assignment by ID
Retrieves a single compliance tier assignment, for example to check which tier a user is in and since when.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| tier_user_assignment_id | Path | Yes | Identifier of the assignment, from GET /api/v1/tier/user-assignments. |
Response
The tier assignment: tier compliance ID, user ID, status, currency and timestamps.
GET
/
api
/
v1
/
tier
/
user-assignments
/
{tier_user_assignment_id}
Get Tier User Assignment by ID
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/tier/user-assignments/{tier_user_assignment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
